# class KCategoryDrawer

###

Module | kdeui
Namespace |
Class | KCategoryDrawer
Inherits |

### methods

- KCategoryDrawer ( )

  returns ctor

- categoryHeight (index, option)

  returns int

  Argument | Type | Default
  --- | --- | ---
  index | QModelIndex |
  option | QStyleOption |

- drawCategory (index, sortRole, option, painter)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  index | QModelIndex |
  sortRole | int |
  option | QStyleOption |
  painter | QPainter |

  This method purpose is to draw a category represented by the given

  index - with the given sortRole - sorting role

  This method will be called one time per category, always with the first element in that category